[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#534281: nosql: uninstallable on ia64, alpha, GNU/kFreeBSD

Petr Salinger <Petr.Salinger@seznam.cz> (23/06/2009):
> Package: nosql
> Severity: serious
> Version: 4.0.14-4
> User: glibc-bsd-devel@lists.alioth.debian.org
> Usertags: kfreebsd
> Hi,
> current version have hardcoded dependency on libc
> as Depends: libc6 (>= 2.2.3-1).
> This cannot be satisfied on some architectures.
> It have been introduced in
>  nosql  (4.0.14-2) unstable; urgency=low
>    * add dependency to libc (warning from lintian)
> Please at least drop this dependency or generate
> correct one during build using i.e. dh_shlibdeps.


cc'ing -qa@ because I won't be fixing the whole package, and it really
needs it. I think it'd be a nice exercise for a wannabe packager to make
it use debhelper instead of that broken homebrew stuff.

Hint: one needs to get rid of debian/substvars, at the very least.

Another idea might be to get rid of the package itself, but I won't be
judging that here.

Thanks for your time.


Attachment: signature.asc
Description: Digital signature

Reply to: